Bug 82614 - Desktop shows inaccessible samba disks mounted by other users
Desktop shows inaccessible samba disks mounted by other users
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-vfs2 (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-23 19:36 EST by Mace Moneta
Modified: 2007-04-18 12:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 10:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2003-01-23 19:36:12 EST
Description of problem:

UserX is logged in at the console (using Gnome desktop w/Nautilus) of SystemA. 
UserY is logged in to SystemA from remote SystemB.  
UserY mounts a samba share from SystemB on SystemA, defined in the /etc/fstab of
SystemA as:

//systemb/usery /home/usery/systemb smbfs
users,credentials=/home/usery/.systemb.usery,uid=usery,gid=usery 0 0

with the command: mount systemb

When the mount completes, UserX at the console sees the "SystemB" icon appear. 
However, UserX has no permission to access this icon.   As UserY mounts and
unmounts, the icons flashes on the UserX console.


Version-Release number of selected component (if applicable):

All components at current maintenance level (all errata) for Redhat 8.0.

How reproducible:

Always

Steps to Reproduce:
1.See description
2.?
3.Profit!  Uh, I mean bug!
    
Actual results:

Icon appears on console

Expected results:

Icon should only appear if associated directory is owned or accessible by the
console user

Additional info:

Very annoying.
Comment 1 Bill Nottingham 2006-08-07 16:03:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Note You need to log in before you can comment on or make changes to this bug.